@if (componentData$ | async; as componentData) {
  <div class="full-width full-height">
    <div class="full-width full-height p-r-15" style="overflow-y: auto">
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        @if (!componentData.campaign.shouldShowFavoriteDashboard) {
          <div class="flex-row flex-end">
            <button
              class="flex-fixed-size m-l-5"
              [attr.data-test-element-id]="'favorite-button'"
              nz-button
              [nzType]="'primary'"
              [nzSize]="'small'"
              nz-tooltip
              [nzTooltipTitle]="'sqtm-core.generic.label.favorite' | translate"
              (click)="displayFavoriteDashboard($event, $lastExecutionScope())"
            >
              <span>
                {{ 'sqtm-core.generic.label.favorite' | translate }}
              </span>
            </button>
            <ng-container
              [ngTemplateOutlet]="lastExecScopeFilter"
            ></ng-container>
          </div>
          <nz-collapse-panel [nzHeader]="cumulativeTitle" [nzActive]="true">
            <ng-template #cumulativeTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.campaign-page.statistics.blocks.cumulative'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.campaign.campaignStatisticsBundle) {
              <div class="full-width">
                @if (!campaignProgressionChartHasErrors(componentData)) {
                  <sqtm-app-campaign-advancement-chart
                    [campaignProgressionStatistics]="
                      componentData.campaign.campaignStatisticsBundle
                        .progressionStatistics
                    "
                  >
                  </sqtm-app-campaign-advancement-chart>
                } @else {
                  <div
                    [attr.data-test-element-id]="
                      'iteration-scheduled-dates-error'
                    "
                    class="full-width flex-row"
                  >
                    <div>
                      {{
                        'sqtm-core.campaign-workspace.campaign-page.statistics.charts.cumulative.date-error'
                          | translate
                      }}
                    </div>
                    <div class="flex-fixed-size m-l-20">
                      @if (
                        componentData.permissions.canWrite &&
                        componentData.milestonesAllowModification
                      ) {
                        <i
                          [attr.data-test-element-id]="
                            'iteration-scheduled-dates-button'
                          "
                          class="current-workspace-button action-icon-size"
                          nz-icon
                          [nzType]="'sqtm-core-campaign:calendar'"
                          [nzTooltipTitle]="
                            'sqtm-core.campaign-workspace.campaign-page.statistics.charts.cumulative.manage-iteration-dates-tooltip'
                              | translate
                          "
                          nz-tooltip
                          (click)="
                            openPlanningDialog(
                              $event,
                              componentData.campaign.id
                            )
                          "
                        ></i>
                      }
                    </div>
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
          <nz-collapse-panel [nzHeader]="statisticsTitle" [nzActive]="true">
            <ng-template #statisticsTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.campaign-page.statistics.blocks.stats'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.campaign.campaignStatisticsBundle) {
              <div class="full-width">
                @if (
                  hasTestPlanItems(
                    componentData.campaign.campaignStatisticsBundle
                      .testCaseStatusStatistics
                  )
                ) {
                  <sqtm-app-campaign-statistics-charts-panel
                    [statistics]="
                      componentData.campaign.campaignStatisticsBundle
                    "
                    [disabledExecutionStatus]="
                      componentData.projectData.disabledExecutionStatus
                    "
                    [scope]="getScope(componentData)"
                    [lastExecutionScope]="$lastExecutionScope()"
                  ></sqtm-app-campaign-statistics-charts-panel>
                } @else {
                  <div
                    class="full-width flex-row"
                    [attr.data-test-element-id]="'empty-test-plan-error'"
                  >
                    {{
                      'sqtm-core.campaign-workspace.campaign-page.statistics.charts.no-test-plan-items.campaign'
                        | translate
                    }}
                  </div>
                }
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
          <nz-collapse-panel [nzHeader]="inventoryTitle" [nzActive]="true">
            <ng-template #inventoryTitle>
              <div class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.campaign-workspace.campaign-page.statistics.blocks.inventory'
                    | translate
                }}
              </div>
            </ng-template>
            @if (componentData.campaign.campaignStatisticsBundle) {
              <div class="full-width">
                <sqtm-app-campaign-inventory
                  [inventory]="
                    componentData.campaign.campaignStatisticsBundle
                      .testInventoryStatistics
                  "
                  [disabledExecutionStatus]="
                    componentData.projectData.disabledExecutionStatus
                  "
                ></sqtm-app-campaign-inventory>
              </div>
            } @else {
              <div class="full-width">
                <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
              </div>
            }
          </nz-collapse-panel>
        } @else {
          <nz-collapse-panel
            [nzHeader]="favoriteDashboardTitle"
            [nzActive]="true"
            [nzExtra]="defaultButton"
          >
            <ng-template #defaultButton>
              <div class="flex-row flex-end">
                <button
                  class="flex-fixed-size m-l-5"
                  [attr.data-test-element-id]="'default-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.default' | translate
                  "
                  (click)="
                    displayDefaultDashboard($event, $lastExecutionScope())
                  "
                >
                  {{ 'sqtm-core.generic.label.default' | translate }}
                </button>
                <ng-container
                  [ngTemplateOutlet]="lastExecScopeFilter"
                ></ng-container>
              </div>
            </ng-template>
            <ng-template #favoriteDashboardTitle>
              <div class="entity-view-collapse-panel-title">
                @if (componentData.campaign.dashboard) {
                  {{ componentData.campaign.dashboard.name }}
                } @else {
                  <span>{{
                    'sqtm-core.generic.label.dashboard.title' | translate
                  }}</span>
                }
              </div>
            </ng-template>
            @if (
              componentData.campaign.dashboard &&
              componentData.campaign.canShowFavoriteDashboard
            ) {
              <div style="height: 84vh" class="full-width">
                @if (
                  componentData.campaign.dashboard.chartBindings.length !== 0 ||
                  componentData.campaign.dashboard.reportBindings.length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [chartBindings]="
                      getChartBindings(componentData.campaign.dashboard)
                    "
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            } @else {
              <div style="height: 84vh; text-align: center">
                <span style="font-weight: 600">
                  {{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}
                </span>
              </div>
            }
          </nz-collapse-panel>
        }
      </nz-collapse>
    </div>
  </div>
}

<ng-template #lastExecScopeFilter>
  @if (componentData$ | async; as componentData) {
    <span class="m-l-10">
      <sqtm-core-filter-icon-menu
        [isChecked]="$lastExecutionScope()"
        [checkBoxLabel]="
          'sqtm-core.campaign-workspace.statistics.last-exec-scope.message'
        "
        [helpTooltip]="
          'sqtm-core.campaign-workspace.statistics.last-exec-scope.tooltip'
        "
        (confirmEvent)="changeExtendedScope($event, componentData.campaign)"
      >
      </sqtm-core-filter-icon-menu>
    </span>
  }
</ng-template>
